Freshdesk

Integrate your application with the Freshdesk API

🚀 Quickstart

Connect to Freshdesk with Tenklo and see data flow in 2 minutes.

Create the integration

In Tenklo (free signup), go to Integrations -> Configure New Integration -> Freshdesk.

Authorize Freshdesk

Go to Connections -> Add Test Connection -> Authorize, then enter your Freshdesk credentials. Later, you'll let your users do the same directly from your app.

Call the Freshdesk API

Let's make your first request to the Freshdesk API (fetch a list of tickets). Replace the placeholders below with your Environment API key, integration ID, and connection ID:

curl "https://api.tenklo.dev/proxy/api/v2/tickets" \
  -H "Authorization: Bearer <NANGO-API-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>"

Or fetch credentials with the Node SDK or API.

✅ You're connected! Check the Logs tab in Tenklo to inspect requests.

Implement Tenklo in your app

Follow our Auth implementation guide to integrate Tenklo in your app.

To obtain your own production credentials, follow the setup guide linked below.

📚 Freshdesk Integration Guides

Tenklo maintained guides for common use cases.

Official docs: Freshdesk API docs

🧩 Pre-built syncs & actions for Freshdesk

Explore Nango-provided actions in your dashboard. Extend and customize them to fit your needs.

Others

Function nameDescriptionTypeSource code
add-ticket-noteAdd a private or public note to a Freshdesk ticket.Action🔗 Github
add-ticket-watcherAdd a watcher (agent) to a Freshdesk ticket.Action🔗 Github
bulk-delete-ticketsDelete multiple Freshdesk tickets in a single call.Action🔗 Github
bulk-update-ticketsUpdate multiple Freshdesk tickets in a single call.Action🔗 Github
create-agentCreate a agent in Freshdesk.Action🔗 Github
create-canned-response-folderCreate a canned response folder in Freshdesk.Action🔗 Github
create-canned-responseCreate a canned response in Freshdesk.Action🔗 Github
create-company-fieldCreate a company field in Freshdesk.Action🔗 Github
create-companyCreate a company in Freshdesk.Action🔗 Github
create-contact-fieldCreate a contact field in Freshdesk.Action🔗 Github
create-contactCreate a contact in Freshdesk.Action🔗 Github
create-forum-categoryCreate a discussion forum category in Freshdesk.Action🔗 Github
create-forumCreate a discussion forum in Freshdesk.Action🔗 Github
create-groupCreate a group in Freshdesk.Action🔗 Github
create-sla-policyCreate an SLA policy in Freshdesk.Action🔗 Github
create-solution-articleCreate a solution article in Freshdesk.Action🔗 Github
create-solution-categoryCreate a solutions category in Freshdesk.Action🔗 Github
create-solution-folderCreate a solutions folder in Freshdesk.Action🔗 Github
create-ticket-fieldCreate a ticket field in Freshdesk.Action🔗 Github
create-ticketCreate a ticket in Freshdesk.Action🔗 Github
create-topicCreate a discussion forum topic in Freshdesk.Action🔗 Github
delete-agentDelete or archive a agent in Freshdesk.Action🔗 Github
delete-company-fieldDelete a company field in Freshdesk.Action🔗 Github
delete-companyPermanently delete a company in Freshdesk. This cannot be undone.Action🔗 Github
delete-contact-fieldDelete a contact field in Freshdesk.Action🔗 Github
delete-contactDelete or archive a contact in Freshdesk.Action🔗 Github
delete-forum-categoryDelete a discussion forum category in FreshdeskAction🔗 Github
delete-forumDelete a discussion forum in Freshdesk.Action🔗 Github
delete-groupPermanently delete a group in Freshdesk. This cannot be undone.Action🔗 Github
delete-solution-articlePermanently delete a solution article and all of its translated versions in Freshdesk. This cannot be undone.Action🔗 Github
delete-solution-categoryDelete a solutions category in Freshdesk.Action🔗 Github
delete-solution-folderDelete a solutions folder in Freshdesk.Action🔗 Github
delete-ticket-fieldDelete a ticket field in Freshdesk.Action🔗 Github
delete-ticketDelete or archive a ticket in Freshdesk.Action🔗 Github
delete-topicDelete a discussion forum topic in Freshdesk.Action🔗 Github
forward-ticketForward a Freshdesk ticket to one or more email addresses.Action🔗 Github
get-agentRetrieve a single agent from Freshdesk.Action🔗 Github
get-canned-responseRetrieve a single canned response from Freshdesk.Action🔗 Github
get-companyRetrieve a single company from Freshdesk.Action🔗 Github
get-contactRetrieve a single contact from Freshdesk.Action🔗 Github
get-forum-categoryRetrieve a single discussion forum category from FreshdeskAction🔗 Github
get-forumRetrieve a single discussion forum from Freshdesk.Action🔗 Github
get-groupRetrieve a single group from FreshdeskAction🔗 Github
get-roleRetrieve a single agent role from Freshdesk.Action🔗 Github
get-solution-articleRetrieve a single solution article from Freshdesk.Action🔗 Github
get-solution-categoryRetrieve a single solutions category from Freshdesk.Action🔗 Github
get-solution-folderRetrieve a single solutions folder from Freshdesk.Action🔗 Github
get-ticket-fieldRetrieve a single ticket field from Freshdesk.Action🔗 Github
get-ticketRetrieve a single ticket from Freshdesk.Action🔗 Github
get-topicRetrieve a single discussion forum topic from Freshdesk.Action🔗 Github
list-agentsList agents from Freshdesk.Action🔗 Github
list-companiesList companies from Freshdesk.Action🔗 Github
list-contactsList contacts from Freshdesk.Action🔗 Github
list-groupsList groups from Freshdesk.Action🔗 Github
list-solution-articlesList solution articles from Freshdesk.Action🔗 Github
list-ticketsList tickets from Freshdesk.Action🔗 Github
make-contact-agentConvert a Freshdesk contact into an agent.Action🔗 Github
merge-contactsMerge one or more Freshdesk contacts into a primary contact.Action🔗 Github
merge-ticketsMerge one or more Freshdesk tickets.Action🔗 Github
reply-to-ticketReply to a Freshdesk ticket.Action🔗 Github
restore-contactRestore a soft-deleted Freshdesk contact.Action🔗 Github
restore-ticketRestore a deleted Freshdesk ticket.Action🔗 Github
send-contact-inviteSend a portal invitation email to a Freshdesk contactAction🔗 Github
update-agentUpdate a agent in Freshdesk.Action🔗 Github
update-canned-response-folderUpdate a canned response folder in Freshdesk.Action🔗 Github
update-canned-responseUpdate a canned response in Freshdesk.Action🔗 Github
update-company-fieldUpdate a company field in Freshdesk.Action🔗 Github
update-companyUpdate a company in Freshdesk.Action🔗 Github
update-contact-fieldUpdate a contact field in Freshdesk.Action🔗 Github
update-contactUpdate a contact in Freshdesk.Action🔗 Github
update-forum-categoryUpdate a discussion forum category in Freshdesk.Action🔗 Github
update-forumUpdate a discussion forum in Freshdesk.Action🔗 Github
update-groupUpdate a group in Freshdesk.Action🔗 Github
update-sla-policyUpdate an SLA policy in Freshdesk.Action🔗 Github
update-solution-articleUpdate a solution article in Freshdesk.Action🔗 Github
update-solution-categoryUpdate a solutions category in Freshdesk.Action🔗 Github
update-solution-folderUpdate a solutions folder in Freshdesk.Action🔗 Github
update-ticket-fieldUpdate a ticket field in Freshdesk.Action🔗 Github
update-ticketUpdate a ticket in Freshdesk.Action🔗 Github
update-topicUpdate a discussion forum topic in Freshdesk.Action🔗 Github
agentsSync agents from Freshdesk.Sync🔗 Github
articlesRecursively fetches a list of solution articles.Sync🔗 Github
business-hoursSync business hours configurations from FreshdeskSync🔗 Github
canned-responsesRecursively fetches canned responses from Freshdesk canned response folders.Sync🔗 Github
companiesSync companies from Freshdesk.Sync🔗 Github
company-fieldsSync company field definitions from Freshdesk.Sync🔗 Github
contact-fieldsSync contact field definitions from Freshdesk.Sync🔗 Github
contactsSync contacts from Freshdesk.Sync🔗 Github
forum-topicsRecursively fetches discussion forum topics from Freshdesk (categories -> forums -> topics), mirroring the categories -> folders -> articles traversal used by the articles sync.Sync🔗 Github
groupsSync groups from FreshdeskSync🔗 Github
rolesSync agent roles from Freshdesk.Sync🔗 Github
satisfaction-ratingsSync ticket satisfaction ratings from Freshdesk.Sync🔗 Github
sla-policiesSync SLA policies from FreshdeskSync🔗 Github
ticket-fieldsSync ticket field definitions from Freshdesk.Sync🔗 Github
ticketsSync tickets from FreshdeskSync🔗 Github
time-entriesSync ticket time entries from Freshdesk.Sync🔗 Github

On this page